Skip to main content
`Ctrl`+`K`

# PEPGetTolerances

Gets the tolerance and maximum iteration count used by the `PEP` convergence tests.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPGetTolerances(PEP pep,PetscReal *tol,PetscInt *maxits)

Not Collective

## Input Parameter

- pep - the polynomial eigensolver context

## Output Parameters

- tol - the convergence tolerance

- maxits - maximum number of iterations

## Note

The user can specify `NULL` for any parameter that is not needed.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSetTolerances()`

## Level

intermediate

## Location

src/pep/interface/pepopts.c

## Examples

src/pep/tutorials/ex17.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages